Initiate PayTo Payment

This endpoint is to initiate a payment to collect funds from the debtor's account or to retry if the previous payment collection request was rejected due to valid business reasons. This API should be invoked strictly as per the terms and conditions established in the agreement to avoid payment claims. Even the retries should be attempted as per the agreement terms and conditions.

Payment initiation request statuses -

  • PENDING_PAYMENT_INITIATION - when the payment initiation request has been accepted for processing
  • PAYMENT_INITIATED - when the payment initiation request is being processed
  • PAYMENT_INITIATION_COMPLETED - when the payment initiation request is cleared and settled successfully. Funds can be expected in the user's wallet soon
  • PAYMENT_INITIATION_REJECTED - when the payment initiation request is rejected for processing due to validation, funds not available in the debtor's account or any other business reason. A retry can be performed in such scenarios

If the payment collection request has been rejected due to valid business reasons (example - insufficient funds), a retry can be attempted 5 times within 24 hours for the same request.

Payment_request_uuid generated will be the same for the payment collection request and all subsequent retry attempts, however, instruction_id differs for each.

Note - If Payment initiated on the agreement validity end date fails, it will not be possible to retry or initiate again on the following date as the agreement will be marked as CANCELLED automatically after the agreement validity_end_date. Hence, it is recommended to initiate the last payment few days before the agreement validity end date to cater for retries needed if any.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
enum
required

Indicates payment processing priority. Supported values

CodeDescription
ATTENDEDPayment marked as attended will be processed immediately and will be rejected if the responding participant is not available
UNATTENDEDPayments marked as unattended may not be processed immediately. In cases where the responding participant is not available, the payment will be stored for later processing and hence won’t be rejected
Allowed:
payment_info
object
required

Payment request details.

Property descriptions:

  • instructed_amount - Specifies the amount to be debited the from debtor's bank account before deduction of charges.

  • last_payment - Indicates that it is the last payment associated with the agreement. Post this, the agreement will be marked as CANCELLED automatically and no further payments can be requested on this agreement.

  • end_to_end_id - Unique identification to unambiguously identify the payment. This identification is passed on, unchanged, throughout the entire end-to-end chain. It is recommended to provide this identifier which can be passed between entities to identify the payment during queries/investigations if any. If not provided, debtor reference (if available) from the agreement will be populated. If none available, default value "NOTPROVIDED" will be populated in the payment initiation request.

  • remittance_info - Free text field to provide any narrative for the payment.

  • unique_superannuation_code - For agreements created with PURPOSE_CODE = PENS (pension payments), this should be the USI number for the superannuation fund.

  • unique_superannuation_id - For agreements created with PURPOSE_CODE = PENS (pension payments), this should be the USI - code indicating the identifier to whom the superannuation fund will be provided.

The following rules apply to this structure:

  • UniqueSuperannuationRule Both unique_superannuation_code and unique_superannuation_id must be present or both fields must be absent.
retry_info
object

Retry information should be provided only if the payment request was rejected previously due to business reasons and a retry for the same is being attempted.

Note - Rejected and retry eligible payment request can be retried 5 times within 24 hours.

Property descriptions:

  • payment_request_uuid - Unique identifier for the payment request (in UUID format) for which the retry is being attempted.
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json